GpgFrontend::GpgVerifyResultAnalyse Class Reference
Inheritance diagram for GpgFrontend::GpgVerifyResultAnalyse:
Collaboration diagram for GpgFrontend::GpgVerifyResultAnalyse:

## Public Member Functions

| GpgVerifyResultAnalyse (GpgError error, GpgVerifyResult result)
| Construct a new Verify Result Analyse object. More...
gpgme_signature_t | GetSignatures () const
| Get the Signatures object. More...
GpgVerifyResult | TakeChargeOfResult ()
Public Member Functions inherited from GpgFrontend::GpgResultAnalyse
| GpgResultAnalyse ()=default
| Construct a new Result Analyse object. More...
const std::string | GetResultReport () const
| Get the Result Report object. More...
int | GetStatus () const
| Get the Status object. More...
void | Analyse ()

## Private Member Functions

void | do_analyse ()
bool | print_signer (std::stringstream &stream, gpgme_signature_t sign)

## Private Attributes

GpgError | error_
GpgVerifyResult | result_

## Additional Inherited Members

Protected Member Functions inherited from GpgFrontend::GpgResultAnalyse
void | set_status (int m_status)
| Set the status object. More...
Protected Attributes inherited from GpgFrontend::GpgResultAnalyse
std::stringstream | stream_
int | status_ = 1
bool | analysed_ = false

## Constructor & Destructor Documentation

## GpgVerifyResultAnalyse()

GpgFrontend::GpgVerifyResultAnalyse::GpgVerifyResultAnalyse | ( | GpgError | error,
|  | GpgVerifyResult | result
| ) |  |

explicit

Construct a new Verify Result Analyse object.

Parameters

  error |
  result | Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

All the source code of GpgFrontend was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

SPDX-License-Identifier: GPL-3.0-or-later

## Member Function Documentation

## GetSignatures()

gpgme_signature_t GpgFrontend::GpgVerifyResultAnalyse::GetSignatures | ( |  | ) | const

Get the Signatures object.

Returns
  gpgme_signature_t

Referenced by GpgFrontend::UI::import_unknown_key_from_keyserver().

## print_signer()

bool GpgFrontend::GpgVerifyResultAnalyse::print_signer | ( | std::stringstream & | stream,
|  | gpgme_signature_t | sign
| ) |  |

private

Parameters

  stream |
  sign |

Returns
  true
  false

References GpgFrontend::SingletonFunctionObject< GpgKeyGetter >::GetInstance(), and GpgFrontend::GpgKeyGetter::GetKey().

## TakeChargeOfResult()

GpgFrontend::GpgVerifyResult GpgFrontend::GpgVerifyResultAnalyse::TakeChargeOfResult | ( |  | ) |

Returns
  GpgVerifyResult

The documentation for this class was generated from the following files:

- src/core/function/result_analyse/GpgVerifyResultAnalyse.h
- src/core/function/result_analyse/GpgVerifyResultAnalyse.cpp